<?php
/***************************************************************
*  Copyright notice
*
*  (c) 2005 Morten Tranberg Hansen (mth@daimi.au.dk)
*  All rights reserved
*
*  This script is part of the TYPO3 project. The TYPO3 project is
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/
/**
 * Plugin 'Events listing' for the 'daimi_event' extension.
 *
 * @author	Morten Tranberg Hansen <mth@daimi.au.dk>
 */


require_once(PATH_tslib.'class.tslib_pibase.php');

class tx_daimievent_picommon extends tslib_pibase {

  var $dateFormat = '%e/%m-%y'; // dateformat according to the php function strftime (http://dk.php.net/manual/en/function.strftime.php)

  /**
   * [Put your description here]
   */
  function getFieldContent($fN)	{
    switch($fN) {
      /* LINK should only be used in pi1
    case 'uid':
      return $this->pi_list_linkSingle($this->internal['currentRow'][$fN],$this->internal['currentRow']['uid'],1);	// The "1" means that the display of single items is CACHED! Set to zero to disable caching.
      break;
    case "title":
      // This will wrap the title in a link.
      return $this->pi_list_linkSingle($this->internal['currentRow']['title'],$this->internal['currentRow']['uid'],1);
      break;*/
    case "description":
      return $this->pi_RTEcssText($this->internal['currentRow']['description']);
      break;
    case "info":
      return $this->pi_RTEcssText($this->internal['currentRow']['info']);
      break;
    case "start_date":
      // For a numbers-only date, use something like: %d-%m-%y
#      return $this->internal['currentRow']['start_date'] ? strftime('%A %e. %B %Y',$this->internal['currentRow']['start_date']) : ''
      return $this->internal['currentRow']['start_date'] ? strftime($this->dateFormat,$this->internal['currentRow']['start_date']) : '';
      break;
    case "end_date":
      // For a numbers-only date, use something like: %d-%m-%y
#      return $this->internal['currentRow']['end_date'] ? strftime('%A %e. %B %Y',$this->internal['currentRow']['end_date']) : '';
      return $this->internal['currentRow']['end_date'] ? strftime($this->dateFormat,$this->internal['currentRow']['end_date']) : ''; 
      break;
    case "pricing":
      $priceArr = $this->getFieldsArrayFromFF($this->internal['currentRow']['pricing'],$fN);
      $result = '';
      foreach($priceArr as $priceCat) {
	$category = $this->pi_getRecord('tx_daimievent_price_categories',$priceCat['category']);
	$result .= $result ? '; ' : '';
	$result .= $category['title'].': '. ($priceCat['price']==0 ? $this->pi_getLL('picommon.free') : $priceCat['price'] . ' ' . $this->pi_getLL('picommon.currency'));
      }
      return $result;
      break;
    case "organizer":
      $organizerArr = $this->getFieldsArrayFromFF($this->internal['currentRow']['organizer'],$fN);
      $result = '';
      foreach($organizerArr as $organizer) {
	$result .= ($organizer['contact']?$organizer['name'].($organizer['web']?'; '.$this->cObj->getTypoLink($organizer['web'],$organizer['web']):'').($organizer['email']?'; '.$this->cObj->getTypoLink($organizer['email'],$organizer['email']):'').($organizer['phone']?'; '.$organizer['phone']:''):$organizer['name']).'<br/>';
      }
      return $result;
      break;
    case "category":
      if($this->internal['currentRow']['category']) {
      	$cat = $this->pi_getRecord('tx_daimievent_categories',$this->internal['currentRow']['category']);
	return $cat['title'];	
      }
      break;
    case "files":
      if($this->internal['currentRow']['files']) {
	$fileArr = t3lib_div::trimExplode(',',$this->internal['currentRow']['files']);
	$result = '';
	foreach($fileArr as $file) {
	  $result .= ($result ? '; ' . $this->cObj->filelink($file,array('path' => 'uploads/media/')) : $this->cObj->filelink($file,array('path' => 'uploads/media/')));
	}
	return $result;
      }
      break;
    case "address":
      $GLOBALS['TSFE']->setJS('tx_daimievent_receptionlinks',
			      'function tx_daimievent_eReception(str) {
                                 if (!str) str="";
                                 foo=window.open("http://alex.daimi.au.dk:8080/ereception/browser.jsp?s="+str,
   			         "eReception",
			         "screenX=0, screenY=0, top=0, width=1040, height=776, menubar=no, titlebar=no, alwaysRaised=yes, status=no, scrollbars=yes, fullscreen=no");
	                         foo.focus();
                               }');
      
      $result = $this->internal['currentRow'][$fN];
      $buildings = t3lib_div::trimExplode(',','zuse,stibitz,dreyer,bush,benjamin,babbage,ada,hopper,turing,wiener,schn');    
      foreach($buildings as $building) {
	$result = eregi_replace("(".$building.")-([0-9]{3})","<a href=\"javascript:tx_daimievent_eReception('\\1 \\2');\">\\0</a>",$result);
      }

      return $result;
      break;
    case "registration_deadline":
      return $this->internal['currentRow']['registration_deadline']?strftime('%d-%m-%y %H:%M',$this->internal['currentRow']['registration_deadline']):'';
      break;
    case "registration_info_free_slots":
      return $this->pi_RTEcssText($this->internal['currentRow']['registration_info_free_slots']);
      break;
    case "registration_info_no_slots":
      return $this->pi_RTEcssText($this->internal['currentRow']['registration_info_no_slots']);
      break;
    case "registration_completed_free_slots":
      return $this->pi_RTEcssText($this->internal['currentRow']['registration_completed_free_slots']);
      break;
    case "registration_completed_no_slots":
      return $this->pi_RTEcssText($this->internal['currentRow']['registration_completed_no_slots']);
      break;
    default:
      return $this->internal['currentRow'][$fN];
      break;
    }
  }
  
  /**
   *
   * @return	array		Returns the owner of the internal['currentRow'] event as a partner record and an empty array if no owner is found
   */
  function getOwnerOfCurrentRow() {
    $owner = array();
    $res = $GLOBALS['TYPO3_DB']->exec_SELECTquery('*','tx_daimievent_partners','1=1'.chr(10).$this->cObj->enableFields('tx_daimievent_partners'));
    while($partner = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res)) {
      if(in_array($this->internal['currentRow']['pid'],t3lib_div::trimExplode(',',$this->pi_getPidList($partner['storage_folder'],250)))) {
	$owner = $partner;
      }
    }
    return $owner;
  }

  
  /**
   *
   * @return	boolean		Returns whether or not the current row is an exported event.
   */
  function isCurrentRowExported() {
    $owner = $this->getOwnerOfCurrentRow();

    return !in_array($owner['storage_folder'],t3lib_div::trimExplode(',',$this->pi_getPidList($this->conf['pidList'],250),1));
  }


  /**
   *
   * @param	integer		$eventUid: Unique id of the event
   * @return	integer		Mode of registration: 1: Registration possible; 0: Registration not possible; -1: Waitinglist possible
   */
  function getRegistrationMode() {
    $res = $GLOBALS['TYPO3_DB']->exec_SELECTquery('count(*)','tx_daimievent_participants','1=1 AND event=\''.$this->internal['currentRow']['uid'].'\''.chr(10).$this->cObj->enableFields('tx_daimievent_participants'));
    if(!$res) return FALSE;
    list($participants) = $GLOBALS['TYPO3_DB']->sql_fetch_row($res);    

    $mode = 0; // 1: Registration possible; 0: Registration not possible; -1: Waitinglist possible
    if($this->internal['currentRow']['enable_registration'] AND 
       ($this->internal['currentRow']['start_date']+24*3600) > $this->internal['currentRow']['registration_deadline'] AND time() < $this->internal['currentRow']['registration_deadline']) {

      if(empty($this->internal['currentRow']['max_participants']) ||  $this->internal['currentRow']['max_participants'] - $participants > 0) {
	$mode = 1;
      } else if($this->internal['currentRow']['enable_waitinglist']) {
	$mode = -1;
      }

    }

    return $mode;
  }
  
  /**
   * Converts the flexform pricing information (fx. of an event record)
   * into an array and returns it.
   *
   * @param	string		$flexFormXML: The flex form XML
   * @return	array		The pricings
   */
  function getFieldsArrayFromFF($flexFormXML, $fN) {
    
    // Convert the features flex form data into array:
    $flexArr = t3lib_div::xml2array($flexFormXML);
    $resultArr = array();
    
    // Extract the pricing from the flex form array:
    if (is_array ($flexArr['data'])) {
      if (is_array ($flexArr['data']['sDEF']['lDEF']['field_'.$fN.'section']['el'])) {
	foreach ($flexArr['data']['sDEF']['lDEF']['field_'.$fN.'section']['el'] as $id => $fieldContainerArr) {
	  if (is_array ($fieldContainerArr['field_'.$fN.'container']['el'])) {
	    foreach ($fieldContainerArr['field_'.$fN.'container']['el'] as $fieldName => $fieldArr) {
	      $resultArr[$id][str_replace('field_', '', $fieldName)] = $fieldArr['vDEF'];
	    }
	  }
	}
      }
    }
    
    return $resultArr;
  }

  
}



if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/daimi_event/class.tx_daimievent_picommon.php'])	{
  include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/daimi_event/class.tx_daimievent_picommon.php']);
}

?>