#
# Table structure for table 'tx_daimievent_events'
#
CREATE TABLE tx_daimievent_events (
	uid int(11) NOT NULL auto_increment,
	pid int(11) DEFAULT '0' NOT NULL,
	tstamp int(11) DEFAULT '0' NOT NULL,
	crdate int(11) DEFAULT '0' NOT NULL,
	cruser_id int(11) DEFAULT '0' NOT NULL,
	t3ver_oid int(11) DEFAULT '0' NOT NULL,
	t3ver_id int(11) DEFAULT '0' NOT NULL,
	t3ver_label varchar(30) DEFAULT '' NOT NULL,
	sys_language_uid int(11) DEFAULT '0' NOT NULL,
	l18n_parent int(11) DEFAULT '0' NOT NULL,
	l18n_diffsource mediumblob NOT NULL,
	sorting int(10) DEFAULT '0' NOT NULL,
	deleted tinyint(4) DEFAULT '0' NOT NULL,
	hidden tinyint(4) DEFAULT '0' NOT NULL,
	starttime int(11) DEFAULT '0' NOT NULL,
	endtime int(11) DEFAULT '0' NOT NULL,
	fe_group int(11) DEFAULT '0' NOT NULL,
	title tinytext NOT NULL,
	origin int(11) DEFAULT '0' NOT NULL,
	teaser text NOT NULL,
	target_audience text NOT NULL,
	description text NOT NULL,
	info text NOT NULL,
	start_date int(11) DEFAULT '0' NOT NULL,
	end_date int(11) DEFAULT '0' NOT NULL,
	time tinytext NOT NULL,
	address text NOT NULL,
	postal_code int(11) DEFAULT '0' NOT NULL,
	city tinytext NOT NULL,
	pricing text NOT NULL,
	organizer text NOT NULL,
	enable_registration tinyint(3) unsigned DEFAULT '0' NOT NULL,
	enable_waitinglist tinyint(3) unsigned DEFAULT '0' NOT NULL,
	registration_deadline int(11) DEFAULT '0' NOT NULL,
	max_participants int(11) DEFAULT '0' NOT NULL,
	registration_info_free_slots text NOT NULL,
	registration_info_no_slots text NOT NULL,
	registration_completed_free_slots text NOT NULL,
	registration_completed_no_slots text NOT NULL,
	external_link tinytext NOT NULL,
	export_to_partners blob NOT NULL,
	category blob NOT NULL,	
	files tinyblob NOT NULL,
	excluded_reg_fields varchar(255) DEFAULT '' NOT NULL,
	required_reg_fields varchar(255) DEFAULT '' NOT NULL,
	registration_types blob NOT NULL,	

	PRIMARY KEY (uid),
	KEY parent (pid)
);



#
# Table structure for table 'tx_daimievent_partners'
#
CREATE TABLE tx_daimievent_partners (
	uid int(11) NOT NULL auto_increment,
	pid int(11) DEFAULT '0' NOT NULL,
	tstamp int(11) DEFAULT '0' NOT NULL,
	crdate int(11) DEFAULT '0' NOT NULL,
	cruser_id int(11) DEFAULT '0' NOT NULL,
	deleted tinyint(4) DEFAULT '0' NOT NULL,
	hidden tinyint(4) DEFAULT '0' NOT NULL,
	title tinytext NOT NULL,
	storage_folder blob NOT NULL,
	single_view_page blob NOT NULL,
	registration_page blob NOT NULL,
	
	PRIMARY KEY (uid),
	KEY parent (pid)
);



#
# Table structure for table 'tx_daimievent_price_categories'
#
CREATE TABLE tx_daimievent_price_categories (
	uid int(11) NOT NULL auto_increment,
	pid int(11) DEFAULT '0' NOT NULL,
	tstamp int(11) DEFAULT '0' NOT NULL,
	crdate int(11) DEFAULT '0' NOT NULL,
	cruser_id int(11) DEFAULT '0' NOT NULL,
	sys_language_uid int(11) DEFAULT '0' NOT NULL,
	l18n_parent int(11) DEFAULT '0' NOT NULL,
	l18n_diffsource mediumblob NOT NULL,
	deleted tinyint(4) DEFAULT '0' NOT NULL,
	hidden tinyint(4) DEFAULT '0' NOT NULL,
	title tinytext NOT NULL,
	description text NOT NULL,
	
	PRIMARY KEY (uid),
	KEY parent (pid)
);



#
# Table structure for table 'tx_daimievent_categories'
#
CREATE TABLE tx_daimievent_categories (
	uid int(11) NOT NULL auto_increment,
	pid int(11) DEFAULT '0' NOT NULL,
	tstamp int(11) DEFAULT '0' NOT NULL,
	crdate int(11) DEFAULT '0' NOT NULL,
	cruser_id int(11) DEFAULT '0' NOT NULL,
	sys_language_uid int(11) DEFAULT '0' NOT NULL,
	l18n_parent int(11) DEFAULT '0' NOT NULL,
	l18n_diffsource mediumblob NOT NULL,
	deleted tinyint(4) DEFAULT '0' NOT NULL,
	hidden tinyint(4) DEFAULT '0' NOT NULL,
	title tinytext NOT NULL,
	description text NOT NULL,
	
	PRIMARY KEY (uid),
	KEY parent (pid)
);



#
# Table structure for table 'tx_daimievent_participants'
#
CREATE TABLE tx_daimievent_participants (
	uid int(11) NOT NULL auto_increment,
	pid int(11) DEFAULT '0' NOT NULL,
	tstamp int(11) DEFAULT '0' NOT NULL,
	crdate int(11) DEFAULT '0' NOT NULL,
	cruser_id int(11) DEFAULT '0' NOT NULL,
	deleted tinyint(4) DEFAULT '0' NOT NULL,
	hidden tinyint(4) DEFAULT '0' NOT NULL,
	firstname tinytext NOT NULL,
	surname tinytext NOT NULL,
	company tinytext NOT NULL,
	email tinytext NOT NULL,
	address tinytext NOT NULL,
	postal_code int(11) DEFAULT '0' NOT NULL,
	city tinytext NOT NULL,
	country tinytext NOT NULL,
	phone tinytext NOT NULL,
	remark text NOT NULL,
	event blob NOT NULL,
	price int(11) DEFAULT '0' NOT NULL,
	status tinytext NOT NULL,
	registration_time int(11) DEFAULT '0' NOT NULL,
	registration_type blob NOT NULL,	
	
	PRIMARY KEY (uid),
	KEY parent (pid)
);



#
# Table structure for table 'tx_daimievent_registration_types'
#
CREATE TABLE tx_daimievent_registration_types (
	uid int(11) NOT NULL auto_increment,
	pid int(11) DEFAULT '0' NOT NULL,
	tstamp int(11) DEFAULT '0' NOT NULL,
	crdate int(11) DEFAULT '0' NOT NULL,
	cruser_id int(11) DEFAULT '0' NOT NULL,
	sys_language_uid int(11) DEFAULT '0' NOT NULL,
	l18n_parent int(11) DEFAULT '0' NOT NULL,
	l18n_diffsource mediumblob NOT NULL,
	deleted tinyint(4) DEFAULT '0' NOT NULL,
	hidden tinyint(4) DEFAULT '0' NOT NULL,
	title tinytext NOT NULL,
	description text NOT NULL,
	
	PRIMARY KEY (uid),
	KEY parent (pid)
);