<?php
/***************************************************************
*  Copyright notice
*
*  (c) 2005 Morten Tranberg Hansen (mth@daimi.au.dk)
*  All rights reserved
*
*  This script is part of the TYPO3 project. The TYPO3 project is
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/
/**
 * Module 'Events' for the 'daimi_event' extension.
 *
 * @author	Morten Tranberg Hansen <mth@daimi.au.dk>
 */



	// DEFAULT initialization of a module [BEGIN]
unset($MCONF);
require ("conf.php");
require ($BACK_PATH."init.php");
require ($BACK_PATH."template.php");
$LANG->includeLLFile("EXT:daimi_event/mod1/locallang.php");
#include ("locallang.php");
require_once (PATH_t3lib."class.t3lib_scbase.php");
$BE_USER->modAccess($MCONF,1);	// This checks permissions and exits if the users has no permission for entry.
	// DEFAULT initialization of a module [END]

class tx_daimievent_module1 extends t3lib_SCbase {
	var $pageinfo;
  var $participant_fields = array();

	/**
	 *
	 */
	function init()	{
		global $BE_USER,$LANG,$BACK_PATH,$TCA_DESCR,$TCA,$CLIENT,$TYPO3_CONF_VARS;

		parent::init();

		$this->participant_fields = array('registration_time','firstname','surname','company','email','address','postal_code','city','country','phone','remark','price','registration_type','status');		

		/*
		if (t3lib_div::_GP("clear_all_cache"))	{
			$this->include_once[]=PATH_t3lib."class.t3lib_tcemain.php";
		}
		*/
	}

	/**
	 * Adds items to the ->MOD_MENU array. Used for the function menu selector.
	 */
	function menuConfig()	{
		global $LANG;
		$this->MOD_MENU = Array (
			"function" => Array (
				"1" => $LANG->getLL("function1"),
#				"2" => $LANG->getLL("function2"),
#				"3" => $LANG->getLL("function3"),
			)
		);
		parent::menuConfig();
	}

		// If you chose "web" as main module, you will need to consider the $this->id parameter which will contain the uid-number of the page clicked in the page tree
	/**
	 * Main function of the module. Write the content to $this->content
	 */
	function main()	{
		global $BE_USER,$LANG,$BACK_PATH,$TCA_DESCR,$TCA,$CLIENT,$TYPO3_CONF_VARS;

		// Access check!
		// The page will show only if there is a valid page and if this page may be viewed by the user
		$this->pageinfo = t3lib_BEfunc::readPageAccess($this->id,$this->perms_clause);
		$access = is_array($this->pageinfo) ? 1 : 0;

		if (($this->id && $access) || ($BE_USER->user["admin"] && !$this->id))	{

				// Draw the header.
			$this->doc = t3lib_div::makeInstance("bigDoc");
			$this->doc->backPath = $BACK_PATH;
			$this->doc->form='<form action="" method="POST">';

				// JavaScript
			$this->doc->JScode = '
				<script language="javascript" type="text/javascript">
					script_ended = 0;
					function jumpToUrl(URL)	{
						document.location = URL;
					}
				</script>
			';
			$this->doc->postCode='
				<script language="javascript" type="text/javascript">
					script_ended = 1;
					if (top.fsMod) top.fsMod.recentIds["web"] = '.intval($this->id).';
				</script>
			';

			$headerSection = $this->doc->getHeader("pages",$this->pageinfo,$this->pageinfo["_thePath"])."<br>".$LANG->sL("LLL:EXT:lang/locallang_core.php:labels.path").": ".t3lib_div::fixed_lgd_pre($this->pageinfo["_thePath"],50);

			$this->content.=$this->doc->startPage($LANG->getLL("title"));
			$this->content.=$this->doc->header($LANG->getLL("title"));
			$this->content.=$this->doc->spacer(5);
			$this->content.=$this->doc->section("",$this->doc->funcMenu($headerSection,t3lib_BEfunc::getFuncMenu($this->id,"SET[function]",$this->MOD_SETTINGS["function"],$this->MOD_MENU["function"])));
			$this->content.=$this->doc->divider(5);


			// Render content:
			$this->moduleContent();


			// ShortCut
			if ($BE_USER->mayMakeShortcut())	{
				$this->content.=$this->doc->spacer(20).$this->doc->section("",$this->doc->makeShortcutIcon("id",implode(",",array_keys($this->MOD_MENU)),$this->MCONF["name"]));
			}

			$this->content.=$this->doc->spacer(10);
		} else {
				// If no access or if ID == zero

			$this->doc = t3lib_div::makeInstance("mediumDoc");
			$this->doc->backPath = $BACK_PATH;

			$this->content.=$this->doc->startPage($LANG->getLL("title"));
			$this->content.=$this->doc->header($LANG->getLL("title"));
			$this->content.=$this->doc->spacer(5);
			$this->content.=$GLOBALS['LANG']->getLL('participants_list.no_event');
			$this->content.=$this->doc->spacer(10);
		}
	}

	/**
	 * Prints out the module HTML
	 */
	function printContent()	{

		$this->content.=$this->doc->endPage();
		echo $this->content;
	}

	/**
	 * Generates the module content
	 */
	function moduleContent()	{
		switch((string)$this->MOD_SETTINGS["function"])	{
			case 1:
			  $id = intval(t3lib_div::_GP('id'));
			  $uid = intval(t3lib_div::_GP('uid'));
			  
			  if((string)$this->CMD=='cancel') {
			    $content = $this->cancelParticipant();
			  } elseif ((string)$this->CMD=='uncancel' && $GLOBALS['BE_USER']->user["admin"]) {
			    $content = $this->uncancelParticipant();
			  }
	  
			  if($uid!=0) {
			    // Get event and participants for the event.
			    $event = t3lib_befunc::getRecord('tx_daimievent_events',$uid);
			    $allParticipants = t3lib_befunc::getRecordsByField('tx_daimievent_participants','event',$uid,'','','uid');
			    if(!is_array($allParticipants)) {
			      $allParticipants = array();
			    }

			    // Sort participants in cancelled and not cancelled
			    $participants = array();
			    $cancelledParticipants = array();
			    foreach($allParticipants as $participant) {
			      if(!$participant['cancelled']) {
				$participants[] = $participant;
			      } else {
				$cancelledParticipants[] = $participant;
			      }
			    }
			    
			    $this->clearParticipantFields($event);
			    
			    // Prepare CSV file.
			    require_once(PATH_t3lib.'class.t3lib_basicfilefunc.php');
			    $fileFunc = t3lib_div::makeInstance('t3lib_basicFileFunctions');
			    $path = $fileFunc->getUniqueName('daimi_event.csv',PATH_site.'typo3temp/temp/');
			    t3lib_div::loadTCA('tx_daimievent_participants');
			    $file = fopen ($path, "w");

			    // CSV file link.
			    $content .= '<h2>'.$event['title'].'</h2>';
			    $content .= '<p>';
			    $content .= '<a href="/'.substr($path,strlen(PATH_site)).'" target="_blank">'.$GLOBALS['LANG']->getLL('participants_list.download_as').' '.$GLOBALS['LANG']->getLL('participants_list.csv_file').'</a>. ';
			    $content .= $GLOBALS['LANG']->getLL('participants_list.help_on').' <a href="http://office.microsoft.com/en-us/excel/HA012004951033.aspx" target="_blank">'.$GLOBALS['LANG']->getLL('participants_list.csv_file_handling_help').'</a>.';
			    $content .= '</p>';
			    $content .= '<p>';
 			    $content .= '<br/><a href="?id='.$id.'">'.$GLOBALS['LANG']->getLL('participants_list.back_to_overview').'</a>';
			    $content .= '<br /><br /></p>';
			    $content .= '<table>';
			    $content .= $this->getTableHeader($GLOBALS['LANG']->getLL('participants_list.to_event'),$file);

			    // Generate list.
			    $count = 0;
			    foreach($participants as $participant) {
			      if($count==$event['max_participants'] && $event['max_participants']!=0) {
				$content .= $this->getTableHeader($GLOBALS['LANG']->getLL('participants_list.waitinglist_to_event'),$file);
			      }
			      $class = '';
			      if ($count>=$event['max_participants'] && $event['max_participants']!=0 && $participant['status']=='registered') {
				$class = 'bgColor6';
			      }
			      $content .= $this->getTableRow($participant,$file,FALSE,$class);
			      $count++;
			    }

			    // Generate list for cancelled participants
			    if(!empty($cancelledParticipants)) {
			      $content .= '<tr><td colspan="'.count($this->participant_fields).'" class="bgColor9" height="40px"></td></tr>';
			      $content .= $this->getTableHeader($GLOBALS['LANG']->getLL('participants_list.cancelled_participants'),$file,TRUE);
			      foreach($cancelledParticipants as $participant) {
				$content .= $this->getTableRow($participant,$file,TRUE);
			      }
			    }
			    
			    // Close file and table.
			    fclose($file);		    
			    $content .= '</table>';
		    
			    $event = t3lib_befunc::getRecord('tx_daimievent_events',$uid);
			    $content .= '<br/><p>'.$GLOBALS['LANG']->getLL('participants_list.note').'</p>';
			    $content .= '<br/><br/><a href="?id='.$id.'">'.$GLOBALS['LANG']->getLL('participants_list.back_to_overview').'</a>';
			  } else {
			    // Get events in page with id=$id
			    $sqlWhereCurrentEvents  = ' AND ((tx_daimievent_events.start_date>'.time().' AND tx_daimievent_events.end_date=0) OR ';
			    $sqlWhereCurrentEvents .= '(tx_daimievent_events.end_date>'.time().'))';
			    $current_events = t3lib_befunc::getRecordsByField('tx_daimievent_events','pid',$id,$sqlWhereCurrentEvents,'','start_date');

			    $sqlWherePastEvents  = ' AND ((tx_daimievent_events.start_date<'.time().' AND tx_daimievent_events.end_date=0) OR ';
			    $sqlWherePastEvents .= '(tx_daimievent_events.end_date<'.time().' AND tx_daimievent_events.end_date>0))';
			    $past_events = t3lib_befunc::getRecordsByField('tx_daimievent_events','pid',$id,$sqlWherePastEvents,'','start_date DESC');
			        
			    if(is_array($current_events) || is_array($past_events)) {      // Events on page.
			      // Current events table
			      if (is_array($current_events)) {
				$content .= '<h2>'.$GLOBALS['LANG']->getLL('participants_list.current_events').'</h2>';
				$content .= '<table><tr><th>&nbsp;</th><th class="bgColor2">'.$GLOBALS['LANG']->getLL('events_list.date').'</th><th class="bgColor2">'.$GLOBALS['LANG']->getLL('events_list.title').'</th><th class="bgColor2">'.$GLOBALS['LANG']->getLL('events_list.registered').'</th><th class="bgColor2">'.$GLOBALS['LANG']->getLL('events_list.waitinglist').'</th><th class="bgColor2">'.$GLOBALS['LANG']->getLL('events_list.cancelled').'</th></tr></div>';

			      foreach($current_events as $event) {
			      $class = 'bgColor5';
				if ($event['origin'] == 0) {
				// Find number of participants for this current event
				$participants_registered_array = t3lib_befunc::getRecordsByField('tx_daimievent_participants','event',$event['uid'],' AND cancelled=0','','uid');
			    if(!is_array($participants_registered_array))
			      $participants_registered_array = array();

			    $waiting_list = 0;
			    $participants_registered = count($participants_registered_array);
			    if (!empty($event['max_participants']) && $participants_registered > $event['max_participants']) {
			      $waiting_list = $participants_registered - $event['max_participants'];
			      for ($i=$event['max_participants'];$i<count($participants_registered_array);$i++) {
				if ($participants_registered_array[$i]['status'] == 'registered') {
				  $class = 'bgColor6';
				}
			      }
                              $participants_registered = $event['max_participants'];
				}
				$content .= '<tr><td class="'.$class.'"><a title="'.$GLOBALS['LANG']->getLL('events_list.edit_event').'" href="#" onclick="'.t3lib_BEfunc::editOnClick('&edit[tx_daimievent_events]['.$event['uid'].']=edit',$this->doc->backPath).'"><img'.t3lib_iconWorks::skinImg($this->doc->backPath,'gfx/edit2.gif','width="11" height="12"').' alt="" /></a></td><td class="'.$class.'">'.strftime('%e/%m %Y',$event['start_date']).($event['end_date']?' - '.strftime('%e/%m %Y',$event['end_date']):'').'</td><td class="'.$class.'">'.($event['origin']==0?'<a href="?id='.$id.'&uid='.$event['uid'].'">'.$event['title'].'</a>':$event['title']).'</td>';
			    $content .= '<td class="'.$class.'">'.$participants_registered.($event['enable_registration']==0?' '.$GLOBALS['LANG']->getLL('events_list.registration_disabled'):($event['registration_deadline']+24*3600<time()?' '.$GLOBALS['LANG']->getLL('events_list.registration_deadline_surpassed'):'')).'</td>';
			    $content .= '<td class="'.$class.'">'.($event['max_participants']>0?($waiting_list>0?$waiting_list:'('.$GLOBALS['LANG']->getLL('events_list.no_waiting_list_max_is').' '.$event['max_participants'].')'):$GLOBALS['LANG']->getLL('events_list.no_waiting_list')).'</td>';

				// Find number of cancelled participants for this current event
				$participants_cancelled = t3lib_befunc::getRecordsByField('tx_daimievent_participants','event',$event['uid'],' AND cancelled>0','','uid');
			    if(!is_array($participants_cancelled))
			      $participants_cancelled = array();

			    $content .= '<td class="'.$class.'">'.count($participants_cancelled).'</td>';

				} else {
				  $content .= '<td class="'.$class.'">'.$GLOBALS['LANG']->getLL('events_list.external_registration').'</td>';
                                  $content .= '<td class="'.$class.'">'.$GLOBALS['LANG']->getLL('events_list.external_registration').'</td>';
                                  $content .= '<td class="'.$class.'">'.$GLOBALS['LANG']->getLL('events_list.external_registration').'</td>';
				}
				$content .= '</tr>';
			      }
			      $content .= '</table>';
			      }
			      // Past events table
			      if (is_array($past_events)) {
				$content .= '<h2>'.$GLOBALS['LANG']->getLL('events_list.past_events').'<h2>';
				$content .= '<table><tr><th>&nbsp;</th><th class="bgColor2">'.$GLOBALS['LANG']->getLL('events_list.date').'</th><th class="bgColor2">'.$GLOBALS['LANG']->getLL('events_list.title').'</th><th class="bgColor2">'.$GLOBALS['LANG']->getLL('events_list.registered').'</th><th class="bgColor2">'.$GLOBALS['LANG']->getLL('events_list.waitinglist').'</th><th class="bgColor2">'.$GLOBALS['LANG']->getLL('events_list.cancelled').'</th></tr></div>';
			      foreach($past_events as $event) {
			      $class = 'bgColor5';
				if ($event['origin'] == 0) {
				// Find number of participants for this current event
				$participants_registered_array = t3lib_befunc::getRecordsByField('tx_daimievent_participants','event',$event['uid'],' AND cancelled=0','','uid');
			    if(!is_array($participants_registered_array))
			      $participants_registered_array = array();

			    $waiting_list = 0;
			    $participants_registered = count($participants_registered_array);
			    if (!empty($event['max_participants']) && $participants_registered > $event['max_participants']) {
			      $waiting_list = $participants_registered - $event['max_participants'];
			      for ($i=$event['max_participants'];$i<count($participants_registered_array);$i++) {
				if ($participants_registered_array[$i]['status'] == 'registered') {
				  $class = 'bgColor6';
				}
			      }
                              $participants_registered = $event['max_participants'];
				}
				$content .= '<tr><td class="'.$class.'"><a title="'.$GLOBALS['LANG']->getLL('events_list.edit_event').'" href="#" onclick="'.t3lib_BEfunc::editOnClick('&edit[tx_daimievent_events]['.$event['uid'].']=edit',$this->doc->backPath).'"><img'.t3lib_iconWorks::skinImg($this->doc->backPath,'gfx/edit2.gif','width="11" height="12"').' alt="" /></a></td><td class="'.$class.'">'.strftime('%e/%m %Y',$event['start_date']).($event['end_date']?' - '.strftime('%e/%m %Y',$event['end_date']):'').'</td><td class="'.$class.'">'.($event['origin']==0?'<a href="?id='.$id.'&uid='.$event['uid'].'">'.$event['title'].'</a>':$event['title']).'</td>';
			    $content .= '<td class="'.$class.'">'.$participants_registered.($event['enable_registration']==0?' '.$GLOBALS['LANG']->getLL('events_list.registration_disabled'):($event['registration_deadline']+24*3600<time()?' '.$GLOBALS['LANG']->getLL('events_list.registration_deadline_surpassed'):'')).'</td>';
#			    $content .= '<td class="'.$class.'">'.$participants_registered.'</td>';
			    $content .= '<td class="'.$class.'">'.($event['max_participants']>0?($waiting_list>0?$waiting_list:'('.$GLOBALS['LANG']->getLL('events_list.no_waiting_list_max_is').' '.$event['max_participants'].')'):$GLOBALS['LANG']->getLL('events_list.no_waiting_list')).'</td>';

				// Find number of cancelled participants for this past event
				$participants_cancelled = t3lib_befunc::getRecordsByField('tx_daimievent_participants','event',$event['uid'],' AND cancelled>0','','uid');
			    if(!is_array($participants_cancelled))
			      $participants_cancelled = array();

			    $content .= '<td class="'.$class.'">'.count($participants_cancelled).'</td>';

				} else {
				  $content .= '<td class="'.$class.'">'.$GLOBALS['LANG']->getLL('events_list.external_registration').'</td>';
				  $content .= '<td class="'.$class.'">'.$GLOBALS['LANG']->getLL('events_list.external_registration').'</td>';
                                  $content .= '<td class="'.$class.'">'.$GLOBALS['LANG']->getLL('events_list.external_registration').'</td>';
				}
				$content .= '</tr>';

			      }
			      $content .= '</table>';
			      }
			    } else {                                  // No events on page.
			      $content = $GLOBALS['LANG']->getLL('participants_list.no_event');
			    }
			  }
			  $this->content.=$this->doc->section($GLOBALS['LANG']->getLL("function1"),$content,0,1);
			  break;
		case 2:
		  $content="<div align=center><strong>Menu item #2...</strong></div>";
		  $this->content.=$this->doc->section("Message #2:",$content,0,1);
		  break;
		case 3:
		  $content="<div align=center><strong>Menu item #3...</strong></div>";
		  $this->content.=$this->doc->section("Message #3:",$content,0,1);
		  break;
		}
	}


  function clearParticipantFields($event) {
    $intersect = array();
    if(empty($event['registration_types']))
      $intersect[] = 'registration_type';
    
    foreach(t3lib_div::trimExplode(',',$event['excluded_reg_fields'],1) as $exclude) {
      $intersect[] = $exclude;
    }
    
    $this->participant_fields = array_diff($this->participant_fields,$intersect);
  }

  function getTableHeader($headerText,$file,$isCancelledList=FALSE) {

    fwrite($file,$headerText.";\r\n");
    $content .= '<tr><td colspan="'.($isCancelledList?(count($this->participant_fields)+3):(count($this->participant_fields)+2)).'" class="bgColor2"><b>'.$headerText.'</b></td></tr>';
    $content .= '<tr><td class="bgColor3">&nbsp;</td><td class="bgColor3">'.($isCancelledList?$GLOBALS['LANG']->getLL('participants_list.uncancel_header'):$GLOBALS['LANG']->getLL('participants_list.cancel_header')).'</td>';

    $content .= $isCancelledList ? '<td class="bgColor3">'.$GLOBALS['LANG']->getLL('participants_list.cancelled_by').'</td>' : '';

    foreach($this->participant_fields as $field) {
      fwrite($file,ucfirst(strtolower($GLOBALS['LANG']->sl($GLOBALS['TCA']['tx_daimievent_participants']['columns'][$field]['label']).';')));
      $content .= '<td class="bgColor3">'.ucfirst(strtolower($GLOBALS['LANG']->sl($GLOBALS['TCA']['tx_daimievent_participants']['columns'][$field]['label']))).'</td>';
    }

    $content .= '</tr>';
    fwrite($file,"\r\n");

    return $content;
  }

  function getTableRow($participant,$file,$isCancelledList=FALSE,$class) {
    $content .= '<tr>';

    # Check if user is on waitinglist, despite having status registered: If so, set other
    # background-color.
    $class = empty($class) ? 'bgColor5' : $class;

    # FIXME: Make it so users can edit participants information, not just admins
    if ($GLOBALS['BE_USER']->user["admin"]) {
      $content .= '<td class="'.$class.'"><a title="'.$GLOBALS['LANG']->getLL('participants_list.edit_participant').'" href="#" onclick="'.t3lib_BEfunc::editOnClick('&edit[tx_daimievent_participants]['.$participant['uid'].']=edit',$this->doc->backPath).'"><img'.t3lib_iconWorks::skinImg($this->doc->backPath,'gfx/edit2.gif','width="11" height="12"').' alt="" /></a></td>';
    } else {
          $content .= '<td class="'.$class.'">&nbsp;</td>';
    }

    if($isCancelledList && $GLOBALS['BE_USER']->user["admin"]) {
      $content .= '<td class="'.$class.'" align="center"><a href="?id='.$this->id.'&uid='.$this->eventUid.'&CMD=uncancel&participantUid='.$participant['uid'].'"><img src="'.t3lib_div::getIndpEnv('TYPO3_SITE_URL').TYPO3_mainDir.'gfx/undelete.gif"/></a></td>';
    } else if($isCancelledList) {
      $content .= '<td class="'.$class.'" align="center"><a title="'.$GLOBALS['LANG']->getLL('participants_list.admin_only').'">'.$GLOBALS['LANG']->getLL('participants_list.na').'</a></td>';
    } else {
      $content .= '<td class="'.$class.'" align="center"><a href="?id='.$this->id.'&uid='.$this->eventUid.'&CMD=cancel&participantUid='.$participant['uid'].'"><img src="'.t3lib_div::getIndpEnv('TYPO3_SITE_URL').TYPO3_mainDir.'gfx/delete_record.gif"/></a></td>';
    }

    if($isCancelledList) {
      $user = $GLOBALS['LANG']->getLL('participants_list.external');
      if(intval($participant['cancelled_by_user'])) {
	$canceller = t3lib_befunc::getRecord('be_users',$participant['cancelled_by_user']);
	$user = $canceller['username'];
      }
      $content .= '<td class="'.$class.'">'.$user.'</td>';
    }

    foreach($this->participant_fields as $field) {
      fwrite($file,"\"".str_replace(";",",",$this->getParticipantContent($participant,$field))."\";");
      $participantField = $this->getParticipantContent($participant,$field);
      if ($field == 'email') {
	$participantField = '<a href="mailto:'.$participantField.'">'.$participantField.'</a>';
      }
      $content .= '<td class="'.$class.'">'.$participantField.'</td>';
    }
    $content .= '</tr>';
    fwrite($file,"\r\n");

    return $content;
  }
  
  function getParticipantContent($participant, $field) {
    switch((string)$field) {
    case 'registration_time':
      return strftime('%d-%m-%y %H:%M',$participant[$field]);
    case 'registration_type':
      $reg_type = t3lib_befunc::getRecord('tx_daimievent_registration_types',$participant[$field]);
      return $reg_type['title'];
    default:
      return $participant[$field];
    }
  }

  function cancelParticipant() {
    $pUid = t3lib_div::_GET('participantUid');
    $GLOBALS['TYPO3_DB']->exec_UPDATEquery('tx_daimievent_participants','uid='.intval($pUid),array('cancelled'=>1,'cancelled_by_user'=>$GLOBALS['BE_USER']->user["uid"]));
  }

  function uncancelParticipant() {
    $pUid = t3lib_div::_GET('participantUid');
    $GLOBALS['TYPO3_DB']->exec_UPDATEquery('tx_daimievent_participants','uid='.intval($pUid),array('cancelled'=>0,'cancelled_by_user'=>''));
  }

}




if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/daimi_event/mod1/index.php'])	{
	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/daimi_event/mod1/index.php']);
}




// Make instance:
$SOBE = t3lib_div::makeInstance('tx_daimievent_module1');
$SOBE->init();

// Include files?
foreach($SOBE->include_once as $INC_FILE)	include_once($INC_FILE);

$SOBE->main();
$SOBE->printContent();

?>