<?php
/***************************************************************
 *  Copyright notice
 *
 *  (c) 2005 Morten Tranberg Hansen (mth@daimi.au.dk)
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/
/**
 * Plugin 'Events listing' for the 'daimi_event' extension.
 *
 * @author	Morten Tranberg Hansen <mth@daimi.au.dk>
 */


require_once(t3lib_extmgm::extPath('daimi_event').'class.tx_daimievent_picommon.php');

class tx_daimievent_pi1 extends tx_daimievent_picommon {
	var $prefixId = 'tx_daimievent_pi1';		// Same as class name
	var $scriptRelPath = 'pi1/class.tx_daimievent_pi1.php';	// Path to this script relative to the extension dir.
	var $extKey = 'daimi_event';	// The extension key.
	var $pi_checkCHash = TRUE;

  /**
   * [Put your description here]
   */
  function init($content,$conf)	{
  	$this->conf=$conf;		// Setting the TypoScript passed to this function in $this->conf
  	$this->pi_setPiVarDefaults();
  	$this->pi_loadLL();		// Loading the LOCAL_LANG values
  	$this->pi_initPIflexForm();   // Init FlexForm configuration for plugin

  	$viewMode = $this->pi_getFFvalue($this->cObj->data['pi_flexform'], 'field_viewmode', 'sDEF');
  	$this->conf['viewMode'] = $viewMode ? $viewMode : $this->conf['viewMode'];

  	if(!intval($this->conf['viewMode']))
  	$this->conf['viewMode'] = 'eventlist'; // default viewmode: eventlist
  	#    debug($this->conf['viewMode']);

  	$listviewheader = $this->pi_getFFvalue($this->cObj->data['pi_flexform'], 'field_listviewheader', 'sDEF');
  	$this->conf['listView.']['header'] = $listviewheader ? $listviewheader : $this->conf['listView.']['header'];

  	$showEventsFrom = $this->pi_getFFvalue($this->cObj->data['pi_flexform'], 'field_showeventsfrom', 'sDEF');
  	$this->conf['listView.']['show_events_from'] = $showEventsFrom ? $showEventsFrom : $this->conf['listView.']['show_events_from'];
  	$this->conf['listView.']['show_events_from'] = $this->conf['listView.']['show_events_from'] ? $this->calculateTime($this->conf['listView.']['show_events_from']) : mktime(0,0,0);

  	$showEventsTo = $this->pi_getFFvalue($this->cObj->data['pi_flexform'], 'field_showeventsto', 'sDEF');
  	$this->conf['listView.']['show_events_to'] = $showEventsTo ? $showEventsTo : $this->conf['listView.']['show_events_to'];
  	$this->conf['listView.']['show_events_to'] = $this->calculateTime($this->conf['listView.']['show_events_to']);

  	$defaultMode = $this->pi_getFFvalue($this->cObj->data['pi_flexform'], 'field_defaultmode', 'sDEF');
  	$this->conf['listView.']['default_mode'] = $defaultMode ? $defaultMode : $this->conf['listView.']['defaultMode'];

  	$orderByFields = $this->pi_getFFvalue($this->cObj->data['pi_flexform'], 'field_orderbyfields', 'sDEF');
  	$this->conf['listView.']['orderByFields'] = $orderByFields ? $orderByFields : ($this->conf['listView.']['orderByFields'] ? $this->conf['listView.']['orderByFields'] : 'title,start_date,category,city');
	
  	$modeSelector = $this->pi_getFFvalue($this->cObj->data['pi_flexform'], 'field_displaymodeselector', 'sDEF');
  	$this->conf['listView.']['display_mode_selector'] = $modeSelector ? $modeSelector : $this->conf['listView.']['display_mode_selector'];

  	$searchbox = $this->pi_getFFvalue($this->cObj->data['pi_flexform'], 'field_displaysearchbox', 'sDEF');
  	$this->conf['listView.']['display_searchbox'] = $searchbox ? $searchbox : $this->conf['listView.']['display_searchbox'];

  	$pagebrowser = $this->pi_getFFvalue($this->cObj->data['pi_flexform'], 'field_displaypagebrowser', 'sDEF');
  	$this->conf['listView.']['display_page_browser'] = $pagebrowser ? $pagebrowser : $this->conf['listView.']['display_page_browser'];

  	$sortdesc = $this->pi_getFFvalue($this->cObj->data['pi_flexform'], 'field_sortdesc', 'sDEF');
  	$this->conf['listView.']['sort_desc'] = $sortdesc ? $sortdesc : $this->conf['listView.']['sort_desc'];

  	$this->dateFormat = $this->conf['dateFormat'] ? $this->conf['dateFormat'] : $this->dateFormat;

  	$partner = $this->pi_getFFvalue($this->cObj->data['pi_flexform'], 'field_partner', 'sDEF');
  	$this->conf['partner'] = $partner ? intval($partner) : intval($this->conf['partner']);
  	$partnerRec = $this->pi_getRecord('tx_daimievent_partners',$this->conf['partner']);
	
  	if(!empty($partnerRec)) {
  		$this->conf['registration_page'] = $partnerRec['registration_page'] ? $partnerRec['registration_page'] : $this->conf['registration_page'];
  		# Not always partner!! Owner instead.
  		#    $this->conf['single_view_page'] = $partnerRec['single_view_page'] ? $partnerRec['single_view_page'] : $this->conf['single_view_page'];
  		$this->conf['pidList'] = $partnerRec['storage_folder'] ? $partnerRec['storage_folder'] : $this->conf['storage_folder'];
  		$this->conf['recursive'] = 250; //infinitive
  	} else {
  		debug('daimi_event pi1: No partner record selected: This can result in incorrect targets for links access rights','WARNING');
  	}

  	// add pi1 style sheet to page
  	$GLOBALS['TSFE']->additionalHeaderData[] = '<link rel="stylesheet" type="text/css" href="'.t3lib_extMgm::siteRelPath($this->extKey).'res/style_pi1.css" />';

  }

  function calculateTime($time) {
  	if(substr($time,0,3) == 'now')
  	$time = time() + 24*60*60*intval(substr($time,3));
  	else {
  		$time = intval($time);
  	}
  	return $time;
  }

  /**
   * [Put your description here]
   */
  function main($content,$conf)	{
  	switch((string)$conf['CMD'])	{
    case 'singleView':
    	list($t) = explode(':',$this->cObj->currentRecord);
    	$this->internal['currentTable']=$t;
    	$this->internal['currentRow']=$this->cObj->data;
    	return $this->pi_wrapInBaseClass($this->insertRecordView($content,$conf));
    	break;
    default:
    	if (strstr($this->cObj->currentRecord,'tt_content'))	{
    		#	Now set by init function instead
    		#	$conf['pidList'] = $this->cObj->data['pages'];
    		#	$conf['recursive'] = $this->cObj->data['recursive'];
    	}
    	return $this->pi_wrapInBaseClass($this->listView($content,$conf));
    	break;
  	}
  }


  function insertRecordView($content, $conf) {
  	$this->init($content, $conf);

	// Check if event is ongoing. If not, then render nothing (i.e. return empty string).
	// NB: 
  	if($this->conf['insertRecords.']['disableOldEvents'] && !($this->internal['currentRow']['start_date']+24*3600 > time() || $this->internal['currentRow']['end_date']+24*3600>time()))
  	return '';
	//      	if($this->conf['insertRecords.']['disableOldEvents'] && !($this->internal['currentRow']['start_date'] > time() || $this->internal['currentRow']['end_date']>time()))
	//  	return '';

  	$title = $this->linkSingle(($this->getFieldContent('category')?'<span class="'.$this->pi_getClassName('insertRecord-category').'">'.$this->getFieldContent('category').'</span>: ':'').$this->getFieldContent('title'));
  	$title = $this->cObj->stdWrap($title, $this->conf['insertRecords.']['title_stdWrap.']);

  	$info = $this->getFieldContent('start_date').': '.$this->getFieldContent('time').' '.$this->pi_getLL('insertRecordView.in').' '.$this->getFieldContent('city');
  	$info = $this->cObj->stdWrap($info, $this->conf['insertRecords.']['info_stdWrap.']);

  	$content ='
				<div'.$this->pi_classParam('insertRecordField-title').'>'.$title.'</div>
				<div'.$this->pi_classParam('insertRecordField-info').'>'.$info.'</div>
			';
  	$content = $this->cObj->stdWrap($content, $this->conf['insertRecords.']['all_stdWrap.']);

  	$content = '<div'.$this->pi_classParam('insertrecord').'>
			'.$content.'
			</div>';    

  	return $content;

  }

  /**
   * [Put your description here]
   */
  function listView($content,$conf)	{
  	$this->init($content,$conf);
  	$lConf = $this->conf['listView.'];	// Local settings for the listView function
  	#    debug($lConf);
  	if ($this->piVars['showUid'])	{	// If a single element should be displayed:
  		$this->internal['currentTable'] = 'tx_daimievent_events';
  		$this->internal['currentRow'] = $this->pi_getRecord('tx_daimievent_events',$this->piVars['showUid']);

  		$content = $this->singleView($content,$conf);
  		return $content;
  	} else {
  		$items=array(
		   '1'=> $this->pi_getLL('listMode.eventlist','Mode 1'),
		   '2'=> $this->pi_getLL('listMode.eventtable','Mode 2'),
		   );
		   if (!isset($this->piVars['pointer']))	$this->piVars['pointer']=0;
		   if (!isset($this->piVars['mode']))	$this->piVars['mode']=$lConf['default_mode'];

		   // Initializing the query parameters:
		   if($this->piVars['mode']==1 || !$this->piVars['sort'])
		   $this->piVars['sort'] = 'start_date:'.($lConf['sort_desc']?1:0);

		   if($this->piVars['sort'])
		   list($this->internal['orderBy'],$this->internal['descFlag']) = explode(':',$this->piVars['sort']);

		   #      debug(array($this->internal['orderBy'],$this->internal['descFlag']),'sort');
		   $this->internal['results_at_a_time']=t3lib_div::intInRange($lConf['results_at_a_time'],0,1000,$this->piVars['mode']==2?15:5);		// Number of results to show in a listing.
		   $this->internal['maxPages']=t3lib_div::intInRange($lConf['maxPages'],0,1000,5);		// The maximum number of "pages" in the browse-box: "Page 1", "Page 2", etc.
		   $this->internal['searchFieldList']='title,teaser,target_audience,description,info,address,postal_code';
		   $this->internal['orderByList']=$this->conf['listView.']['orderByFields'];
		   #      debug($this->piVars,'piVars');
		   $pidList = $this->pi_getPidList($this->conf['pidList'],$this->conf['recursive']);
		   // Get number of records:


		   /*
		    *Check time window: There are four cases
		    *Case 1:  S > p.s && S < p.e && E = 0
		    *  Case 2:  S < p.s && E > p.s && E > 0
		    *  Case 3:  S > p.s && E < p.e && E > 0
		    *  Case 4:  S < p.e && E > p.e && E > 0
		    */
		   // Case 1: Single day event
		   $sqlTimeWindowCase1  = '(';
		   # If lower date limit set, then include check for it.
		   if ($lConf['show_events_from'] > 0) {
		     $sqlTimeWindowCase1 .= '(tx_daimievent_events.start_date>'.$lConf['show_events_from'].')';
		   } else {
		     # Default is now:
		     $sqlTimeWindowCase1 .= '(tx_daimievent_events.start_date>'.time().')';
		   }
		   # If upper date limit set, then include check for it.
		   if ($lConf['show_events_to'] > 0) {
		     $sqlTimeWindowCase1 .= $lConf['show_events_from'] > 0 ? ' AND ' : '';
		     $sqlTimeWindowCase1 .= '(tx_daimievent_events.start_date<'.$lConf['show_events_to'].')';
		   }
		   $sqlTimeWindowCase1 .= ' AND ';
		   $sqlTimeWindowCase1 .= '(tx_daimievent_events.end_date=0)';
		   $sqlTimeWindowCase1 .= ')';
		   // Case 2: Multi-day event, crossing plugin set From-date
		   $sqlTimeWindowCase2 .= '(';
		   if ($lConf['show_events_to'] > 0) {
		     $sqlTimeWindowCase2 .= '(tx_daimievent_events.start_date<'.$lConf['show_events_from'].')';
		     $sqlTimeWindowCase2 .= ' AND ';
		   }
		   $sqlTimeWindowCase2 .= '(tx_daimievent_events.end_date>'.$lConf['show_events_from'].')';
		   $sqlTimeWindowCase2 .= ' AND ';
		   $sqlTimeWindowCase2 .= '(tx_daimievent_events.end_date>0)';
		   $sqlTimeWindowCase2 .= ')';
		   // Case 3: Multi-day event, between plugin set From- and To-dates
		   $sqlTimeWindowCase3 .= '(';
		   $sqlTimeWindowCase3 .= '(tx_daimievent_events.start_date>'.$lConf['show_events_from'].')';
		   $sqlTimeWindowCase3 .= ' AND ';
		   $sqlTimeWindowCase3 .= '(tx_daimievent_events.end_date<'.$lConf['show_events_to'].')';
		   $sqlTimeWindowCase3 .= ' AND ';
		   $sqlTimeWindowCase3 .= '(tx_daimievent_events.end_date>0)';
		   $sqlTimeWindowCase3 .= ')';
		   // Case 4: Multi-day event, crossing plugin set To-date
		   $sqlTimeWindowCase4 .= '(';
		   $sqlTimeWindowCase4 .= '(tx_daimievent_events.start_date<'.$lConf['show_events_to'].')';
		   if ($lConf['show_events_from'] > 0) {
		     $sqlTimeWindowCase4 .= ' AND ';
		     $sqlTimeWindowCase4 .= '(tx_daimievent_events.end_date>'.$lConf['show_events_to'].')';
		   }
		   $sqlTimeWindowCase4 .= ' AND ';
		   $sqlTimeWindowCase4 .= '(tx_daimievent_events.end_date>0)';
		   $sqlTimeWindowCase4 .= ')';
		   // Collecting the four cases in one string:
		   $sqlTimeWindow = '('.$sqlTimeWindowCase1.' OR '.$sqlTimeWindowCase2.' OR '.$sqlTimeWindowCase3.' OR '.$sqlTimeWindowCase4.')';
		   
		   /* 
		    * Get events from other sites, which have exported to this site
		    */
		   $sqlEventsExportedToThisSite  = '(';
		   $sqlEventsExportedToThisSite .= 'tx_daimievent_events.pid NOT IN ('.$pidList.')'; // The subtree where this site stores its events
		   $sqlEventsExportedToThisSite .= ' AND ';
		   $sqlEventsExportedToThisSite .= 'tx_daimievent_events.export_to_partners REGEXP  "^('.$this->conf['partner'].',.*)|(.*,'.$this->conf['partner'].')|(.*,'.$this->conf['partner'].',.*)|('.$this->conf['partner'].')"';
		   $sqlEventsExportedToThisSite .= ')';
		   
		   /*
		    * Get events from this site
		    */
		   $sqlEventsFromThisSite  = '(';
		   $sqlEventsFromThisSite .= 'tx_daimievent_events.pid IN ('.$pidList.')';
		   $sqlEventsFromThisSite .= ')';
		   
		   /*
		    * Combine exported and local events to get all events
		    */
		   $sqlAllEvents = '('.$sqlEventsExportedToThisSite.' OR '.$sqlEventsFromThisSite.')';
		    
		   /*
		    * Create sql-string searching events for search word (sword).
		    */
		   $sqlSearch = $this->cObj->searchWhere($this->piVars['sword'],$this->internal['searchFieldList'],$table);
		    
		   /*
		    * Respect Enable Fields (hidden, deleted and friends).
		    */
		   $sqlEnableFields = $this->cObj->enableFields('tx_daimievent_events');
		   
		   /*
		    * Combine all of the above into one sql where term
		    */
		   $sqlWhere = '('.$sqlTimeWindow.' AND '.$sqlAllEvents.$sqlSearch.$sqlEnableFields.')';

		   //      debug($sqlWhere);
		   $res = $this->pi_exec_query('tx_daimievent_events',1,' AND '.$sqlWhere);
      list($this->internal['res_count']) = $GLOBALS['TYPO3_DB']->sql_fetch_row($res);
      // If no entries in list return a string saying so:
      if (empty($this->internal['res_count'])) {
	if ($this->piVars['sword'] != '') {
	  return $this->pi_getLL('listView.no_events_in_search');
	} else {
	  return $this->pi_getLL('listView.no_events');
	}
      }
      #      debug($this->internal['res_count'],'res_count');
      #      debug(date('r',$lConf['show_events_from']),'from');
      #      debug(date('r',$lConf['show_events_to']),'to');

      // Make listing query, pass query to SQL database:
      //debug($sqlWhere); // Debug SQL Where string
      $res = $this->pi_exec_query('tx_daimievent_events',0,' AND '.$sqlWhere);
      $this->internal['currentTable'] = 'tx_daimievent_events';


      // Put the whole list together:
      $fullTable='';	// Clear var;
      #	$fullTable.=t3lib_div::view_array($this->piVars);	// DEBUG: Output the content of $this->piVars for debug purposes. REMEMBER to comment out the IP-lock in the debug() function in t3lib/config_default.php if nothing happens when you un-comment this line!

      // Adds the header
      $fullTable.='<h1 class="'.$this->pi_getClassName('listView-header').'">'.$lConf['header'].'</h1>';

      // Adds the mode selector.
      if($lConf['display_mode_selector'])
      $fullTable.=$this->pi_list_modeSelector($items);

      // Adds the whole list table
      $fullTable.=$this->makelist($res);

      // Adds the search box:
      if($lConf['display_searchbox'])
      $fullTable.=$this->pi_list_searchBox();

      // Adds the result browser:
      if($lConf['display_page_browser'])
      $fullTable.=$this->pi_list_browseresults();

      // Returns the content from the plugin.
      return $fullTable;
  	}
  }
  /**
   * [Put your description here]
   */
  function makelist($res)	{
  	$items=Array();
  	// Make list table rows
  	while($this->internal['currentRow'] = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res))	{
  		$items[]=$this->makeListItem();
  	}
  	#    debug($items,'items');
  	if($this->piVars['mode']==2) {
  		$out = '<table'.$this->pi_classParam('listView').'>
			'.$this->makeTableHeader().'
			'.implode(chr(10),$items).'
			</table>';
  	} else {
  		$out = '<div'.$this->pi_classParam('listView').'>
			'.implode(chr(10),$items).'
			</div>';
  	}
  	return $out;
  }

   
  /**
   * [Put your description here]
   */
  function makeListItem()	{
  	if($this->getFieldContent('origin')) {
  		$out = $this->piVars['mode']==2 ? $this->makeTableItemExternal() : $this->makeListItemExternal();
  	} else {
  		$out = $this->piVars['mode']==2 ? $this->makeTableItemInternal() : $this->makeListItemInternal();
  	}

  	if($this->piVars['mode']==2) {
  		$out = '<tr'.$this->pi_classParam('listrow').'>
			'.$out.'
			</tr>';
  	} else {
  		$out = '<div'.$this->pi_classParam('listrow').'>
			'.$out.'
			</div>';
  	}

  	return $out;
  }


  function makeTableHeader() {
  	foreach(t3lib_div::trimExplode(',',$this->internal['orderByList']) as $fN) {

  		$out .= '
				<th class="'.$this->pi_getClassName('listrowField-header').' '.($fN==$this->internal['orderBy']?$this->pi_getClassName('listrowField-header-selected-'.($this->internal['descFlag']?'desc':'asc')):'').'">'.$this->getFieldHeader_sortLink($fN).'</th>';
  	}
  	return $out;
  }

  function makeTableItemInternal() {
  	foreach(t3lib_div::trimExplode(',',$this->internal['orderByList']) as $fN) {
  		$out .= '
				<td'.$this->pi_classParam('listrowField-'.$fN).'>'.($fN=='title'?$this->linkSingle($this->getFieldContent($fN)):$this->getFieldContent($fN)).'</td>';
  	}
  	return $out;
  }

  function makeTableItemExternal() {
  	foreach(t3lib_div::trimExplode(',',$this->internal['orderByList']) as $fN) {
  		$out .= '
				<td'.$this->pi_classParam('listrowField-'.$fN).'>'.($fN=='title'?$this->cObj->typolink($this->getFieldContent($fN),array('parameter' => $this->getFieldContent('external_link'))):$this->getFieldContent($fN)).'</td>';
  	}
  	return $out;
  }

  function makeListItemInternal()	{
  	$out =
  	$this->listItemGetTitle().
  	$this->listItemGetDate().
  	$this->listItemGetTimeAndPlace().
  	$this->listItemGetOrganizer();

  	return $out;
  }

  function makeListItemExternal()	{
  	$out=
  	$this->listItemGetTitle().
  	$this->listItemGetDate().
  	$this->listItemGetTimeAndPlace();

  	return $out;
  }

  // $this->pi_classParam only accepts one CLASS. This accepts an array. Give me an array of length at least one!
  function classParams($classes) {
  	$classParams = $this->pi_getClassName($classes[0]);
  	for($i = 1; $i < count($classes); $i++) {
  		$classParams .= ' ' . $this->pi_getClassName($classes[$i]);
  	}
  	return ' class="' . $classParams .'"';
  }


  function listItemGetTitle() {
  	return '
				<div'.$this->pi_classParam('listrowField-title').'>'.$this->linkSingle(($this->getFieldContent('category')?'<span class="'.$this->pi_getClassName('listView-category').'">'.$this->getFieldContent('category').'</span>: ':'').$this->getFieldContent('title')).'</div>';
  }

  function listItemGetDate() {
  	return '
				<div'.$this->classParams(array('listrowField-header','listrowField-date-header')).'>'.$this->pi_getLL('listView.date').'</div>
				<div'.$this->classParams(array('listrowField-value','listrowField-date')).'>'.$this->getFieldContent('start_date').($this->getFieldContent('end_date')?'-'.$this->getFieldContent('end_date'):'').'</div>';
  }

  function listItemGetTimeAndPlace() {
  	return '
				<div'.$this->classParams(array('listrowField-header','listrowField-timeandplace-header')).'>'.$this->pi_getLL('listView.timeandplace').'</div>
				<div'.$this->classParams(array('listrowField-value','listrowField-timeandplace')).'>'.$this->getFieldContent('time').($this->getFieldContent('address')?'<br />'.nl2br($this->getFieldContent('address')):'').($this->getFieldContent('postal_code') && $this->getFieldContent('city')?'<br />'.$this->getFieldContent('postal_code').' '.$this->getFieldContent('city'):'').'&nbsp;</div>';
  }

  function listItemGetPricing() {
  	return
  	($this->getFieldContent('pricing')?'
				<div'.$this->classParams(array('listrowField-header','listrowField-pricing-header')).'>'.$this->pi_getLL('listView.pricing').'</div>
				<div'.$this->classParams(array('listrowField-value','listrowField-pricing')).'>'.$this->getFieldContent('pricing').'</div>
				':'');
  }
  function listItemGetOrganizer() {
  	return
  	($this->getFieldContent('organizer')?'
				<div'.$this->classParams(array('listrowField-header','listrowField-organizer-header')).'>'.$this->pi_getLL('listView.organizer').'</div>
				<div'.$this->classParams(array('listrowField-value','listrowField-organizer')).'>'.$this->getFieldContent('organizer').'</div>
				':'');
  }


  function linkSingle($text) {
  	$owner = $this->getOwnerOfCurrentRow();

  	if($this->getFieldContent('origin')) {   // external
  		return $this->cObj->typolink($text,array('parameter' => $this->getFieldContent('external_link'), 'extTarget' => $this->conf['links.']['externalTarget']));
  	} else {                                 // internal
  		$isExported = $this->isCurrentRowExported();
  		$target = $isExported && $this->conf['links.']['exportedTarget'] ? $this->conf['links.']['exportedTarget'] : $this->conf['links.']['internalTarget'];
  		$urlParams = $this->conf['links.']['dontSendtListPidAtAll'] || ($isExported && $this->conf['links.']['dontSendtExportedListPid']) ? array() : array('listPid'=>$GLOBALS['TSFE']->id);
  		return '<a href="'.$this->pi_list_linkSingle('',$this->internal['currentRow']['uid'],1,$urlParams,1,$owner['single_view_page']).'" target="'.$target.'">'.$text.'</a>';
  	}

  }

  /**
   * [Put your description here]
   */
  function singleView($content,$conf)	{

  	// This sets the title of the page for use in indexed search results:
  	if ($this->internal['currentRow']['title'])	$GLOBALS['TSFE']->indexedDocTitle=$this->internal['currentRow']['title'];

  	$content='<div'.$this->pi_classParam('singleView').'>
			        <h1 class="'.$this->pi_getClassName('singleView-header').'">'.($this->getFieldContent('category')?'<span class="'.$this->pi_getClassName('singleView-category').'">'.$this->getFieldContent('category').'</span>: ':'').$this->getFieldContent('title').'</h1>

				<div'.$this->pi_classParam("singleViewField-teaser").'>'.$this->getFieldContent('teaser').'</div>
                              <div'.$this->pi_classParam("singleView-spacer").'>
				<div'.$this->pi_classParam("singleViewField-description").'>'.$this->getFieldContent('description').'</div>
</div>

                                <div'.$this->pi_classParam("singleView-spacer").'>

				'.($this->getFieldContent('target_audience')?'<div'.$this->classParams(array('singleViewField-header','singleViewField-target-audience-header')).'>'.$this->pi_getLL('singleView.target_audience').'</div>
				<div'.$this->classParams(array('singleViewField-value','singleViewField-target-audience')).'>'.$this->getFieldContent('target_audience').'</div>':'').'
</div>

                                <div'.$this->pi_classParam("singleView-spacer").'>

				<div'.$this->classParams(array('singleViewField-header','singleViewField-timeandplace-header')).'>'.$this->pi_getLL('singleView.timeandplace').'</div>
				<div'.$this->classParams(array('singleViewField-value','singleViewField-timeandplace')).'>'.$this->getFieldContent('start_date').($this->getFieldContent('end_date')?' - '.$this->getFieldContent('end_date'):'').': '.$this->getFieldContent('time').($this->getFieldContent('address')?'<br />'.nl2br($this->getFieldContent('address')):'').($this->getFieldContent('postal_code') && $this->getFieldContent('city')?'<br />'.$this->getFieldContent('postal_code').' '.$this->getFieldContent('city'):'').'</div>
</div>

                                <div'.$this->pi_classParam("singleView-spacer").'>

				'.($this->getFieldContent('pricing')?'<div'.$this->classParams(array('singleViewField-header','singleViewField-pricing-header')).'>'.$this->pi_getLL('singleView.pricing').'</div>
				<div'.$this->classParams(array('singleViewField-value','singleViewField-pricing')).'>'.$this->getFieldContent('pricing').'</div>':'').'
</div>

                                <div'.$this->pi_classParam("singleView-spacer").'>

				'.($this->getFieldContent('organizer')?'<div'.$this->classParams(array('singleViewField-header','singleViewField-organizer-header')).'>'.$this->pi_getLL('singleView.organizer').'</div>
				<div'.$this->pi_classParam("singleViewField-organizer").'>'.$this->getFieldContent('organizer').'</div>':'').'

				'.($this->getFieldContent('files') ? '<div'.$this->classParams(array('singleViewField-header','singleViewField-files-header')).'>'.$this->pi_getLL('singleView.files').'</div>
				<div'.$this->pi_classParam("singleViewField-files").'>'.$this->getFieldContent('files').'</div>' : '').'

				'.($this->getRegistrationMode()!=0?'<div'.$this->classParams(array('singleViewField-header','singleViewField-registration-deadline-header')).'>'.$this->pi_getLL('singleView.registration_deadline').'</div>
				<div'.$this->pi_classParam("singleViewField-registration-deadline").'>'.($this->getFieldContent('registration_deadline')?$this->getFieldContent('registration_deadline'):'n/a').'</div>

                                <div'.$this->pi_classParam("singleView-spacer").'>

				'.($this->getRegistrationMode()!=0 && $this->conf['registration_page'] && $this->internal['currentRow']['registration_deadline']>=time()?'<div'.$this->pi_classParam("registration-link").'>'.$this->pi_linkToPage($this->pi_getLL('register','Register'),$this->conf['registration_page'],'',array('tx_daimievent_pi2' => array('uid' => $this->internal['currentRow']['uid'], 'singlePid' => $GLOBALS['TSFE']->id, 'listPid' => $this->piVars['listPid']))).'
                                <div'.$this->pi_classParam("singleView-spacer").'></div>':'').'
</div>

                                 </div>':'').'
</div>

		<div'.$this->pi_classParam("back-link").'>'.$this->pi_list_linkSingle($this->pi_getLL('back','Back'),0,1,array('listPid'=>''),0,$this->piVars['listPid']).'</div></div>'.
  	$this->pi_getEditPanel();

  	return $content;
  }

  /**
   * [Put your description here]
   */
  function getFieldHeader_sortLink($fN)	{
  	return $this->pi_linkTP_keepPIvars($this->pi_getLL('listFieldHeader_'.$fN,'['.$fN.']'),array('sort'=>$fN.':'.($this->internal['descFlag']?0:1)));
  }


}

if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/daimi_event/pi1/class.tx_daimievent_pi1.php'])	{
	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/daimi_event/pi1/class.tx_daimievent_pi1.php']);
}

?>