<?php
/***************************************************************
*  Copyright notice
*
*  (c) 2005 Morten Tranberg Hansen (mth@daimi.au.dk)
*  All rights reserved
*
*  This script is part of the TYPO3 project. The TYPO3 project is
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/
/**
 * Plugin 'Events listing' for the 'daimi_event' extension.
 *
 * @author	Morten Tranberg Hansen <mth@daimi.au.dk>
 */


require_once(t3lib_extmgm::extPath('daimi_event').'class.tx_daimievent_picommon.php');

class tx_daimievent_pi3 extends tx_daimievent_picommon {
  var $prefixId = 'tx_daimievent_pi3';		// Same as class name
  var $scriptRelPath = 'pi3/class.tx_daimievent_pi3.php';	// Path to this script relative to the extension dir.
  var $extKey = 'daimi_event';	// The extension key.
  var $pi_checkCHash = TRUE;
  
  /**
   * [Put your description here]
   */
  function init($content,$conf)	{
    $this->conf=$conf;		// Setting the TypoScript passed to this function in $this->conf
    $this->pi_setPiVarDefaults();
    $this->pi_loadLL();		// Loading the LOCAL_LANG values    
    $this->pi_initPIflexForm();   // Init FlexForm configuration for plugin
    
    $mode = $this->pi_getFFvalue($this->cObj->data['pi_flexform'], 'field_mode', 'sDEF');
    $this->conf['mode'] = $mode ? $mode : $this->conf['mode'];

    $header = $this->pi_getFFvalue($this->cObj->data['pi_flexform'], 'field_header', 'sDEF');
    $this->conf['header'] = $header ? $header : $this->conf['header'];

    $text = $this->pi_getFFvalue($this->cObj->data['pi_flexform'], 'field_text', 'sDEF');
    $this->conf['text'] = $text ? $text : $this->conf['text'];
    
    $this->piVars = t3lib_div::_GP('tx_daimievent_pi1');

    $this->internal['currentTable'] = 'tx_daimievent_events';
    $this->internal['currentRow'] = $this->pi_getRecord('tx_daimievent_events',$this->piVars['showUid']);

    // add pi3 style sheet to page
    $GLOBALS['TSFE']->additionalHeaderData[] = '<link rel="stylesheet" type="text/css" href="'.t3lib_extMgm::siteRelPath($this->extKey).'res/style_pi3.css" />';
    
  }
  

  /**
   * [Put your description here]
   */
  function main($content,$conf)	{
    $this->init($content,$conf);

    switch((string)$this->conf['mode']) {
    case 'extrainfo':
      $content .= $this->extrainfoBox();
      break;
    case 'searchbox':
      $content .= $this->searchBox();
      break;
    case 'modeselector':
      $content .= $this->modeselector();
      break;
    default:
      $content .= 'ERROR: daimi_event plugin 3, Unknown mode \''.$this->conf['mode'].'\'';
      break;
    }

    if($content) {
      $result .= $this->conf['header'] ? '<h1>'.$this->conf['header'].'</h1>' : '';
      $result .= $this->conf['text'] ? '<p>'.$this->conf['text'].'</p>' : '';
      $result .= $content;
    }

    return $this->pi_wrapInBaseClass($result);   
  }
  

  function extrainfoBox() {
    if($this->piVars['showUid'] && $this->getFieldContent('info')) {
      return 
	'<div'.$this->pi_classParam('extrainfo').'>
			'.$this->getFieldContent('info').'
			</div>';

    }
  }

  function searchBox() {
    if(!$this->piVars['showUid']) {
      return '
		<!--
			List search box:
		-->
		<div'.$this->pi_classParam('searchbox').'>
			<form action="'.htmlspecialchars(t3lib_div::getIndpEnv('REQUEST_URI')).'" method="post" style="margin: 0 0 0 0;">
			<'.trim('table '.$tableParams).'>
				<tr>
					<td><input type="text" name="tx_daimievent_pi1[sword]" value="'.htmlspecialchars($this->piVars['sword']).'"'.$this->pi_classParam('searchbox-sword').' /></td>
					<td><input type="submit" value="'.$this->pi_getLL('searchbox.button','Search',TRUE).'"'.$this->pi_classParam('searchbox-button').' />'.
						'<input type="hidden" name="no_cache" value="1" />'.
						'<input type="hidden" name="tx_daimievent_pi1[pointer]" value="'.$this->piVars['pointer'].'" />'.
						'</td>
				</tr>
			</table>
			</form>
		</div>';
    }
  }

  function modeSelector() {
    if(!$this->piVars['showUid']) {
      $items=array(
		   '1'=> $this->pi_getLL('listMode.eventlist','Mode 1'),
		   '2'=> $this->pi_getLL('listMode.eventtable','Mode 2'),
		   );

      $pi1 = t3lib_div::makeInstance('tx_daimievent_pi1');
      $pi1->cObj = $this->cObj;
# Udkommenteret da der ikke noedvendigvis er sat en partner records, saa init funktionen vil reportere denne fejl.
# Dette goer ikke noget, da dette kald heller ikke skulle vaere noedvendigt!
#      $pi1->main('',$this->conf); 
     

      $modes=array();
      while(list($k,$v)=each($items))	{
	$modes[]='
					<div'.($this->piVars['mode']==$k?$this->pi_classParam('modeSelector-SCell'):'').'><p>'.
	  $pi1->pi_linkTP_keepPIvars(htmlspecialchars($v),array('mode'=>$k),$pi1->pi_isOnlyFields($pi1->pi_isOnlyFields)).
	  '</p></div>';
      }
      
      $result = '

		<!--
			Mode selector (menu for list):
		-->
		<div'.$this->pi_classParam('modeSelector').'>
					'.implode('',$modes).'
		</div>';
      
      return $result;
    }
  }
  
}



if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/daimi_event/pi3/class.tx_daimievent_pi3.php'])	{
  include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/daimi_event/pi3/class.tx_daimievent_pi3.php']);
}

?>