<?php
if (!defined ('TYPO3_MODE')) 	die ('Access denied.');

$TCA["tx_daimievent_events"] = Array (
	"ctrl" => $TCA["tx_daimievent_events"]["ctrl"],
	"interface" => Array (
		"showRecordFieldList" => "sys_language_uid,l18n_parent,l18n_diffsource,hidden,starttime,endtime,fe_group,title,origin,teaser,target_audience,description,info,start_date,end_date,time,address,postal_code,pricing,organizer,registration_deadline,max_participants,registration_info_free_slots,registration_info_no_slots,registration_completed_free_slots,registration_completed_no_slots,eksternal_link"
	),
	"feInterface" => $TCA["tx_daimievent_events"]["feInterface"],
	"columns" => Array (
		'sys_language_uid' => Array (		
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.php:LGL.language',
			'config' => Array (
				'type' => 'select',
				'foreign_table' => 'sys_language',
				'foreign_table_where' => 'ORDER BY sys_language.title',
				'items' => Array(
					Array('LLL:EXT:lang/locallang_general.php:LGL.allLanguages',-1),
					Array('LLL:EXT:lang/locallang_general.php:LGL.default_value',0)
				)
			)
		),
		'l18n_parent' => Array (		
			'displayCond' => 'FIELD:sys_language_uid:>:0',
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.php:LGL.l18n_parent',
			'config' => Array (
				'type' => 'select',
				'items' => Array (
					Array('', 0),
				),
				'foreign_table' => 'tx_daimievent_events',
				'foreign_table_where' => 'AND tx_daimievent_events.pid=###CURRENT_PID### AND tx_daimievent_events.sys_language_uid IN (-1,0)',
			)
		),
		'l18n_diffsource' => Array (		
			'config' => Array (
				'type' => 'passthrough'
			)
		),
		"hidden" => Array (		
			"exclude" => 1,
			"label" => "LLL:EXT:lang/locallang_general.php:LGL.hidden",
			"config" => Array (
				"type" => "check",
				"default" => "0"
			)
		),
		"starttime" => Array (		
			"exclude" => 1,
			"label" => "LLL:EXT:lang/locallang_general.php:LGL.starttime",
			"config" => Array (
				"type" => "input",
				"size" => "8",
				"max" => "20",
				"eval" => "date",
				"default" => "0",
				"checkbox" => "0"
			)
		),
		"endtime" => Array (		
			"exclude" => 1,
			"label" => "LLL:EXT:lang/locallang_general.php:LGL.endtime",
			"config" => Array (
				"type" => "input",
				"size" => "8",
				"max" => "20",
				"eval" => "date",
				"checkbox" => "0",
				"default" => "0",
				"range" => Array (
					"upper" => mktime(0,0,0,12,31,2020),
					"lower" => mktime(0,0,0,date("m")-1,date("d"),date("Y"))
				)
			)
		),
		"fe_group" => Array (		
			"exclude" => 1,
			"label" => "LLL:EXT:lang/locallang_general.php:LGL.fe_group",
			"config" => Array (
				"type" => "select",
				"items" => Array (
					Array("", 0),
					Array("LLL:EXT:lang/locallang_general.php:LGL.hide_at_login", -1),
					Array("LLL:EXT:lang/locallang_general.php:LGL.any_login", -2),
					Array("LLL:EXT:lang/locallang_general.php:LGL.usergroups", "--div--")
				),
				"foreign_table" => "fe_groups"
			)
		),
		"title" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_events.title",		
			"config" => Array (
				"type" => "input",	
				"size" => "48",	
				"max" => "110",	
				"eval" => "required",
			)
		),
		"origin" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_events.origin",		
			"config" => Array (
				"type" => "select",
				"items" => Array (
					Array("LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_events.origin.I.0", "0"/*, t3lib_extMgm::extRelPath("daimi_event")."selicon_tx_daimievent_events_origin_0.gif"*/),
					Array("LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_events.origin.I.1", "1"/*, t3lib_extMgm::extRelPath("daimi_event")."selicon_tx_daimievent_events_origin_1.gif"*/),
				),
				"size" => 1,	
				"maxitems" => 1,
			)
		),
		"teaser" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_events.teaser",		
			"config" => Array (
				"type" => "text",
				"cols" => "48",	
				"rows" => "5",
			)
		),
		"target_audience" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_events.target_audience",		
			"config" => Array (
				"type" => "text",
				"cols" => "48",	
				"rows" => "3",
			)
		),
		"description" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_events.description",		
			"config" => Array (
				"type" => "text",
				"cols" => "30",
				"rows" => "5",
				"wizards" => Array(
					"_PADDING" => 2,
					"RTE" => Array(
						"notNewRecords" => 1,
						"RTEonly" => 1,
						"type" => "script",
						"title" => "Full screen Rich Text Editing|Formatteret redigering i hele vinduet",
						"icon" => "wizard_rte2.gif",
						"script" => "wizard_rte.php",
					),
				),
			)
		),
		"info" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_events.info",		
			"config" => Array (
				"type" => "text",
				"cols" => "30",
				"rows" => "5",
			)
		),
		"start_date" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_events.start_date",		
			"config" => Array (
				"type" => "input",
				"size" => "8",
				"max" => "20",
				"eval" => "date",
				"checkbox" => "0",
				"default" => "0"
			)
		),
		"end_date" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_events.end_date",		
			"config" => Array (
				"type" => "input",
				"size" => "8",
				"max" => "20",
				"eval" => "date",
				"checkbox" => "0",
				"default" => "0"
			)
		),
		"time" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_events.time",		
			"config" => Array (
				"type" => "input",	
				"size" => "48",	
			)
		),
		"address" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_events.address",		
			"config" => Array (
				"type" => "text",
				"cols" => "30",
				"rows" => "2",
			)
		),
		"postal_code" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_events.postal_code",		
			"config" => Array (
				"type" => "input",	
				"size" => "4",	
				"max" => "4",	
				"range" => Array ("lower"=>0,"upper"=>9999),	
				"eval" => "int,nospace",
			)
		),
		"city" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_events.city",		
			"config" => Array (
				"type" => "input",	
				"size" => "48",	
			)
		),
		"pricing" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_events.pricing",		
			"config" => Array (
				'type' => 'flex',
				'ds_pointerField' => 'list_type',
				'ds' => Array(
					'default' => 'FILE:EXT:daimi_event/flexform_ds_pricing.xml',
				)
			)
		),
		"organizer" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_events.organizer",		
			"config" => Array (
				'type' => 'flex',
				'ds_pointerField' => 'list_type',
				'ds' => Array(
					'default' => 'FILE:EXT:daimi_event/flexform_ds_organizer.xml',
				)
			)
		),
		"enable_registration" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_events.enable_registration",
			"config" => Array (
				"type" => "check",
				"default" => "0",
			)
		),
		"enable_waitinglist" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_events.enable_waitinglist",
			"config" => Array (
				"type" => "check",
				"default" => "0",
			)
		),
		"registration_deadline" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_events.registration_deadline",		
			"config" => Array (
				"type" => "input",
				"size" => "12",
				"max" => "20",
				"eval" => "datetime",
				"checkbox" => "0",
				"default" => "0"
			)
		),
		"max_participants" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_events.max_participants",		
			"config" => Array (
				"type" => "input",
				"size" => "4",
				"max" => "4",
				"eval" => "int",
				"checkbox" => "0",
				"range" => Array (
					"upper" => "9999",
					"lower" => "0"
				),
				"default" => 0
			)
		),
		"registration_info_free_slots" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_events.registration_info_free_slots",		
			"config" => Array (
				"type" => "text",
				"cols" => "30",
				"rows" => "5",
			)
		),
		"registration_info_no_slots" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_events.registration_info_no_slots",		
			"config" => Array (
				"type" => "text",
				"cols" => "30",
				"rows" => "5",
			)
		),
		"registration_completed_free_slots" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_events.registration_completed_free_slots",		
			"config" => Array (
				"type" => "text",
				"cols" => "30",
				"rows" => "5",
			)
		),
		"registration_completed_no_slots" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_events.registration_completed_no_slots",		
			"config" => Array (
				"type" => "text",
				"cols" => "30",
				"rows" => "5",
			)
		),
		"external_link" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_events.external_link",		
			"config" => Array (
				"type" => "input",
				"size" => "15",
				"max" => "255",
				"checkbox" => "",
				"eval" => "trim",
				"wizards" => Array(
					"_PADDING" => 2,
					"link" => Array(
						"type" => "popup",
						"title" => "Link",
						"icon" => "link_popup.gif",
						"script" => "browse_links.php?mode=wizard",
						"JSopenParams" => "height=300,width=500,status=0,menubar=0,scrollbars=1"
					)
				)
			)
		),
		"export_to_partners" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_events.export_to_partners",		
			"config" => Array (
				"type" => "select",	
				"foreign_table" => "tx_daimievent_partners",	
				"foreign_table_where" => "AND tx_daimievent_partners.hidden=0 ORDER BY tx_daimievent_partners.title",	
				"size" => 10,	
				"autoSizeMax" => 20,	
				"minitems" => 0,
				"maxitems" => 100,
			)
		),
		"category" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_events.category",		
			"config" => Array (
				"type" => "select",	
				"foreign_table" => "tx_daimievent_categories",	
				"foreign_table_where" => "AND tx_daimievent_categories.pid=###STORAGE_PID### AND tx_daimievent_categories.sys_language_uid=0 ORDER BY tx_daimievent_categories.title",	
				"size" => 1,	
				"minitems" => 0,
				"maxitems" => 1,
				'items' => Array(
					Array('',0),
				)
			)
		),
		'files' => Array (
			'exclude' => 1,
			'l10n_mode' => 'exclude',
			'label' => 'LLL:EXT:cms/locallang_ttc.php:media',
			'config' => Array (
				'type' => 'group',
				'internal_type' => 'file',
				'allowed' => '',	// Must be empty for disallowed to work.
				'disallowed' => 'php,php3',
				'max_size' => '10000',
				'uploadfolder' => 'uploads/media',
				'show_thumbs' => '1',
				'size' => '3',
				'autoSizeMax' => '10',
				'maxitems' => '10',
				'minitems' => '0'
			)
		),
		"excluded_reg_fields" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_events.excluded_reg_fields",		
			"config" => Array (
				"type" => "select",
				"items" => Array (),
				"itemsProcFunc" => "tx_daimievent_participants_fields_selectbox->main",	
				"size" => 10,	
				"maxitems" => 100,
			)
		),
		"required_reg_fields" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_events.required_reg_fields",		
			"config" => Array (
				"type" => "select",
				"items" => Array (),
				"itemsProcFunc" => "tx_daimievent_participants_fields_selectbox->main",	
				"size" => 10,	
				"maxitems" => 100,
			)
		),
		"registration_types" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_events.registration_types",		
			"config" => Array (
				"type" => "select",	
				"foreign_table" => "tx_daimievent_registration_types",	
				"foreign_table_where" => "AND tx_daimievent_registration_types.pid=###STORAGE_PID### AND tx_daimievent_registration_types.sys_language_uid=0 ORDER BY tx_daimievent_registration_types.title",	
				"size" => 5,	
				"minitems" => 0,
				"maxitems" => 100,
				'items' => Array(
				)
			)
		),
	),
	"types" => Array (
			  "0" => Array("showitem" => "sys_language_uid;;;;1-1-1, l18n_parent, l18n_diffsource, hidden;;1, title;;;;2-2-2, origin, category;;;;3-3-3, teaser, target_audience, description;;;richtext[cut|copy|paste|bold|italic|orderedlist|unorderedlist|link|image]:rte_transform[mode=ts_css|imgpath=uploads/tx_daimievent/rte/], files;;;;4-4-4, info;;;richtext[cut|copy|paste|unorderedlist|link|image]:rte_transform[mode=ts_css|imgpath=uploads/tx_daimievent/rte/];5-5-5,--div--;LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_events.tabs.timeplace, start_date;;;;1-1-1, end_date, time, address;;;;2-2-2, postal_code, city,--div--;LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_events.tabs.priceorganizer, pricing, organizer;;;;1-1-1,--div--;LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_events.tabs.export, export_to_partners,--div--;LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_events.tabs.registration, enable_registration, enable_waitinglist, registration_deadline;;;;1-1-1, max_participants, registration_types;;;;2-2-2, registration_info_free_slots;;;richtext[cut|copy|paste|bold|link]:rte_transform[mode=ts_css|imgpath=uploads/tx_daimievent/rte/];2-2-2, registration_info_no_slots;;;richtext[cut|copy|paste|bold|link]:rte_transform[mode=ts_css|imgpath=uploads/tx_daimievent/rte/], registration_completed_free_slots;;;richtext[cut|copy|paste|bold|link]:rte_transform[mode=ts_css|imgpath=uploads/tx_daimievent/rte/], registration_completed_no_slots;;;richtext[cut|copy|paste|bold|link]:rte_transform[mode=ts_css|imgpath=uploads/tx_daimievent/rte/],--div--;LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_events.tabs.registration_form, excluded_reg_fields;;;;1-1-1, required_reg_fields;;;;3-3-3"),
			  "1" => Array("showitem" => "sys_language_uid;;;;1-1-1, l18n_parent, l18n_diffsource, hidden;;1, title;;;;2-2-2, origin, category;;;;3-3-3, teaser, target_audience, external_link;;;;4-4-4, files;;;;5-5-5,--div--;LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_events.tabs.timeplace, start_date;;;;1-1-1, end_date, time, address;;;;2-2-2, postal_code, city,--div--;LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_events.tabs.export, export_to_partners"),
	),
	"palettes" => Array (
		"1" => Array("showitem" => "starttime, endtime, fe_group")
	)
);



$TCA["tx_daimievent_partners"] = Array (
	"ctrl" => $TCA["tx_daimievent_partners"]["ctrl"],
	"interface" => Array (
		"showRecordFieldList" => "hidden,title,storage_folder,single_view_page"
	),
	"feInterface" => $TCA["tx_daimievent_partners"]["feInterface"],
	"columns" => Array (
		"hidden" => Array (		
			"exclude" => 1,
			"label" => "LLL:EXT:lang/locallang_general.php:LGL.hidden",
			"config" => Array (
				"type" => "check",
				"default" => "0"
			)
		),
		"title" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_partners.title",		
			"config" => Array (
				"type" => "input",	
				"size" => "48",	
				"eval" => "required",
			)
		),
		"storage_folder" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_partners.storage_folder",		
			"config" => Array (
				"type" => "group",	
				"internal_type" => "db",	
				"allowed" => "pages",	
				"size" => 1,	
				"minitems" => 1,
				"maxitems" => 1,
			)
		),
		"single_view_page" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_partners.single_view_page",		
			"config" => Array (
				"type" => "group",	
				"internal_type" => "db",	
				"allowed" => "pages",	
				"size" => 1,	
				"minitems" => 1,
				"maxitems" => 1,
			)
		),
		"registration_page" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_partners.registration_page",		
			"config" => Array (
				"type" => "group",	
				"internal_type" => "db",	
				"allowed" => "pages",	
				"size" => 1,	
				"minitems" => 0,
				"maxitems" => 1,
			)
		),
	),
	"types" => Array (
		"0" => Array("showitem" => "hidden;;1;;1-1-1, title;;;;2-2-2, storage_folder;;;;3-3-3, single_view_page, registration_page")
	),
	"palettes" => Array (
		"1" => Array("showitem" => "")
	)
);



$TCA["tx_daimievent_price_categories"] = Array (
	"ctrl" => $TCA["tx_daimievent_price_categories"]["ctrl"],
	"interface" => Array (
		"showRecordFieldList" => "sys_language_uid,l18n_parent,l18n_diffsource,hidden,title,description"
	),
	"feInterface" => $TCA["tx_daimievent_price_categories"]["feInterface"],
	"columns" => Array (
		'sys_language_uid' => Array (		
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.php:LGL.language',
			'config' => Array (
				'type' => 'select',
				'foreign_table' => 'sys_language',
				'foreign_table_where' => 'ORDER BY sys_language.title',
				'items' => Array(
					Array('LLL:EXT:lang/locallang_general.php:LGL.allLanguages',-1),
					Array('LLL:EXT:lang/locallang_general.php:LGL.default_value',0)
				)
			)
		),
		'l18n_parent' => Array (		
			'displayCond' => 'FIELD:sys_language_uid:>:0',
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.php:LGL.l18n_parent',
			'config' => Array (
				'type' => 'select',
				'items' => Array (
					Array('', 0),
				),
				'foreign_table' => 'tx_daimievent_price_categories',
				'foreign_table_where' => 'AND tx_daimievent_price_categories.pid=###CURRENT_PID### AND tx_daimievent_price_categories.sys_language_uid IN (-1,0)',
			)
		),
		'l18n_diffsource' => Array (		
			'config' => Array (
				'type' => 'passthrough'
			)
		),
		"hidden" => Array (		
			"exclude" => 1,
			"label" => "LLL:EXT:lang/locallang_general.php:LGL.hidden",
			"config" => Array (
				"type" => "check",
				"default" => "0"
			)
		),
		"title" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_price_categories.title",		
			"config" => Array (
				"type" => "input",	
				"size" => "48",	
				"eval" => "required",
			)
		),
		"description" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_price_categories.description",		
			"config" => Array (
				"type" => "text",
				"cols" => "48",	
				"rows" => "4",
			)
		),
	),
	"types" => Array (
		"0" => Array("showitem" => "sys_language_uid;;;;1-1-1, l18n_parent, l18n_diffsource, hidden;;1, title;;;;2-2-2, description;;;;3-3-3")
	),
	"palettes" => Array (
		"1" => Array("showitem" => "")
	)
);



$TCA["tx_daimievent_categories"] = Array (
	"ctrl" => $TCA["tx_daimievent_categories"]["ctrl"],
	"interface" => Array (
		"showRecordFieldList" => "sys_language_uid,l18n_parent,l18n_diffsource,hidden,title,description"
	),
	"feInterface" => $TCA["tx_daimievent_categories"]["feInterface"],
	"columns" => Array (
		'sys_language_uid' => Array (		
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.php:LGL.language',
			'config' => Array (
				'type' => 'select',
				'foreign_table' => 'sys_language',
				'foreign_table_where' => 'ORDER BY sys_language.title',
				'items' => Array(
					Array('LLL:EXT:lang/locallang_general.php:LGL.allLanguages',-1),
					Array('LLL:EXT:lang/locallang_general.php:LGL.default_value',0)
				)
			)
		),
		'l18n_parent' => Array (		
			'displayCond' => 'FIELD:sys_language_uid:>:0',
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.php:LGL.l18n_parent',
			'config' => Array (
				'type' => 'select',
				'items' => Array (
					Array('', 0),
				),
				'foreign_table' => 'tx_daimievent_categories',
				'foreign_table_where' => 'AND tx_daimievent_categories.pid=###CURRENT_PID### AND tx_daimievent_categories.sys_language_uid IN (-1,0)',
			)
		),
		'l18n_diffsource' => Array (		
			'config' => Array (
				'type' => 'passthrough'
			)
		),
		"hidden" => Array (		
			"exclude" => 1,
			"label" => "LLL:EXT:lang/locallang_general.php:LGL.hidden",
			"config" => Array (
				"type" => "check",
				"default" => "0"
			)
		),
		"title" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_categories.title",		
			"config" => Array (
				"type" => "input",	
				"size" => "48",	
				"eval" => "required",
			)
		),
		"description" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_categories.description",		
			"config" => Array (
				"type" => "text",
				"cols" => "48",	
				"rows" => "4",
			)
		),
	),
	"types" => Array (
		"0" => Array("showitem" => "sys_language_uid;;;;1-1-1, l18n_parent, l18n_diffsource, hidden;;1, title;;;;2-2-2, description;;;;3-3-3")
	),
	"palettes" => Array (
		"1" => Array("showitem" => "")
	)
);

/* No one should edit participants (only used in debuging) */
$TCA["tx_daimievent_participants"] = Array (
	"ctrl" => $TCA["tx_daimievent_participants"]["ctrl"],
	"interface" => Array (
		"showRecordFieldList" => "hidden,firstname,surname,company,email,address,postal_code,city,remark,event,registration_number"
	),
	"feInterface" => $TCA["tx_daimievent_participants"]["feInterface"],
	"columns" => Array (
		"hidden" => Array (		
			"exclude" => 1,
			"label" => "LLL:EXT:lang/locallang_general.php:LGL.hidden",
			"config" => Array (
				"type" => "check",
				"default" => "0"
			)
		),
		"firstname" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_participants.firstname",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
			)
		),
		"surname" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_participants.surname",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
			)
		),
		"company" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_participants.company",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
			)
		),
		"email" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_participants.email",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
			)
		),
		"address" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_participants.address",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
			)
		),
		"postal_code" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_participants.postal_code",		
			"config" => Array (
				"type" => "input",	
				"size" => "4",	
				"max" => "4",	
				"range" => Array ("lower"=>0,"upper"=>9999),	
				"eval" => "int,nospace",
			)
		),
		"city" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_participants.city",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
			)
		),
		"country" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_participants.country",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
			)
		),
		"phone" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_participants.phone",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
			)
		),
		"remark" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_participants.remark",		
			"config" => Array (
				"type" => "text",
				"cols" => "30",	
				"rows" => "4",
			)
		),
		"event" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_participants.event",		
			"config" => Array (

				"type" => "group",	
				"internal_type" => "db",	
				"allowed" => "tx_daimievent_events",	
				"size" => 1,	
				"minitems" => 1,
				"maxitems" => 1,
			)
		),
		"price" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_participants.price",		
			"config" => Array (
				"type" => "input",	
				"size" => "10",	
				"max" => "999",	
				"eval" => "int,nospace",
			)
		),
		'status' => Array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_participants.status',		
			'config' => Array (
				'type' => 'select',
				'items' => Array (
					Array('LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_participants.status.undefined', ''),
					Array('LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_participants.status.registered', 'registered'),
					Array('LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_participants.status.registeredpaid', 'registeredpaid'),
					Array('LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_participants.status.waitinglist', 'waitinglist'),
					Array('LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_participants.status.waitinglistpaid', 'waitinglistpaid'),
				),
			)
		),
		"registration_time" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_participants.registration_time",		
			"config" => Array (
				"type" => "input",
				"size" => "12",
				"max" => "20",
				"eval" => "datetime",
				"checkbox" => "0",
				"default" => "0"
			)
		),
		"registration_type" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_participants.registration_type",		
			"config" => Array (
				"type" => "select",	
				"foreign_table" => "tx_daimievent_registration_types",	
				"foreign_table_where" => "AND tx_daimievent_registration_types.sys_language_uid=0 ORDER BY tx_daimievent_registration_types.title",	
				"size" => 1,	
				"minitems" => 0,
				"maxitems" => 1,
				'items' => Array(
				)
			)
		),
	),

	"types" => Array (
		"0" => Array("showitem" => "hidden;;1;;1-1-1, firstname, surname, company, email, address, postal_code, city, remark, event;;;;2-2-2, registration_time, price, status, registration_type")
	),
	"palettes" => Array (
		"1" => Array("showitem" => "")
	)
);


$TCA["tx_daimievent_registration_types"] = Array (
	"ctrl" => $TCA["tx_daimievent_registration_types"]["ctrl"],
	"interface" => Array (
		"showRecordFieldList" => "sys_language_uid,l18n_parent,l18n_diffsource,hidden,title,description"
	),
	"feInterface" => $TCA["tx_daimievent_registration_types"]["feInterface"],
	"columns" => Array (
		'sys_language_uid' => Array (		
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.php:LGL.language',
			'config' => Array (
				'type' => 'select',
				'foreign_table' => 'sys_language',
				'foreign_table_where' => 'ORDER BY sys_language.title',
				'items' => Array(
					Array('LLL:EXT:lang/locallang_general.php:LGL.allLanguages',-1),
					Array('LLL:EXT:lang/locallang_general.php:LGL.default_value',0)
				)
			)
		),
		'l18n_parent' => Array (		
			'displayCond' => 'FIELD:sys_language_uid:>:0',
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.php:LGL.l18n_parent',
			'config' => Array (
				'type' => 'select',
				'items' => Array (
					Array('', 0),
				),
				'foreign_table' => 'tx_daimievent_registration_types',
				'foreign_table_where' => 'AND tx_daimievent_registration_types.pid=###CURRENT_PID### AND tx_daimievent_registration_types.sys_language_uid IN (-1,0)',
			)
		),
		'l18n_diffsource' => Array (		
			'config' => Array (
				'type' => 'passthrough'
			)
		),
		"hidden" => Array (		
			"exclude" => 1,
			"label" => "LLL:EXT:lang/locallang_general.php:LGL.hidden",
			"config" => Array (
				"type" => "check",
				"default" => "0"
			)
		),
		"title" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_registration_types.title",		
			"config" => Array (
				"type" => "input",	
				"size" => "48",	
				"eval" => "required",
			)
		),
		"description" => Array (		
			"exclude" => 1,		
			"label" => "LLL:EXT:daimi_event/locallang_db.php:tx_daimievent_registration_types.description",		
			"config" => Array (
				"type" => "text",
				"cols" => "48",	
				"rows" => "4",
			)
		),
	),
	"types" => Array (
		"0" => Array("showitem" => "sys_language_uid;;;;1-1-1, l18n_parent, l18n_diffsource, hidden;;1, title;;;;2-2-2, description;;;;3-3-3")
	),
	"palettes" => Array (
		"1" => Array("showitem" => "")
	)
);

?>